#
# spec file for package jing
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           jing
Summary:        Validator for RELAX NG in Java
License:        BSD-3-Clause
Group:          Productivity/Publishing/XML
Version:        20091111
Release:        26.1
Url:            http://code.google.com/p/jing-trang/
Source:         http://jing-trang.googlecode.com/files/%{name}-%{version}.zip
Source1:        %{name}.script
Source2:        %{name}-doc.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
#
BuildRequires:  javapackages-tools
BuildRequires:  saxon6
BuildRequires:  unzip
BuildRequires:  xerces-j2
BuildRequires:  xml-commons-apis
BuildRequires:  xml-commons-resolver
#
Requires:       javapackages-tools
Requires:       jaxp_parser_impl
Requires:       jre
Requires:       saxon6
Requires:       xml-commons-apis
Requires:       xml-commons-resolver
#
Requires:       jre
BuildArch:      noarch

%description
jing is an XML validator implemented in Java. It validates against the
RELAX NG schema language and implements the following features:

* RELAX NG 1.0 Specification
* RELAX NG Compact Syntax
* Parts of RELAX NG DTD Compatibility (checking of ID/IDREF/IDREFS)

It also comes with experimental support for schema languages other than
RELAX NG:

* W3C XML Schema (based on Xerces-J)
* Schematron
* Name Space Routing Language

%prep
%setup -q
mkdir man ; cd man
tar xfj %{SOURCE2}

%build
# -- nothing to do --

%install
install -D -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/jing
install -D -m 644 bin/jing.jar $RPM_BUILD_ROOT%{_javadir}/jing-%{version}.jar
ln -s jing-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/jing.jar
mkdir -p $RPM_BUILD_ROOT%{_datadir}/jing
cp -a lib/* $RPM_BUILD_ROOT%{_datadir}/jing
install -D -m 0644 man/doc/jing.1 $RPM_BUILD_ROOT%{_mandir}/man1/jing.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc readme.html doc/ sample
%{_bindir}/jing
%{_javadir}/*
%dir %{_datadir}/jing
%{_datadir}/jing/*
%{_mandir}/man1/*

%changelog
* Tue Jun 23 2015 toms@suse.de
- Fixed bsc#914681
  * Corrected BASE_JARS to list saxon6 instead of saxon
  * Fixed dependency to saxon6 instead of saxon9
* Mon Sep  9 2013 tchvatal@suse.com
- Move from jpackage-utils to javapackage-tools
* Thu Nov 29 2012 mvyskocil@suse.com
- used saxon9 for build and as a dependency (bnc#780666)
* Sun Nov 13 2011 toms@opensuse.org
- Improved jing script: use now jpackage-utils, added
  xml-commons-resolver to better support catalogs
- Adapted requires and buildrequires in spec file
- Updated documentation
  * explained -C and -s options, removed obsolete -f
  * updated version
* Mon Mar 15 2010 prusnak@suse.cz
- updated to 20091111
  * add -C option to specify the catalog
  * fix schematron test suite schema
  * provide a resolver that implements OASIS XML catalogs
  * take advantage of Java 5 features
* Wed Mar 18 2009 prusnak@suse.cz
- added documentation (manpage) by Thomas Schraitle
* Thu Nov 27 2008 prusnak@suse.cz
- updated to 20081028
* Tue Feb 19 2008 prusnak@suse.cz
- fixed build
* Thu Mar 29 2007 rguenther@suse.de
- add unzip BuildRequires
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jun  6 2005 ke@suse.de
- Add wrapper script; proposed by Martin Vidner.
* Fri Jun  3 2005 ke@suse.de
- New package: jing version 20030619.
